Page MenuHomePhabricator

GlobalRenameQueue needs a means (status) to set "on hold" function on a rename request
Open, LowPublic

Description

The rename queue functionality has worked well, though there would be value in coding a means to put a request "on hold" while further discussion can be undertaken with the requester, or among other stakeholders.

It may also be worthwhile considering at that stage whether notes can be added, either sequentially or as part of the existing notes field that can be retained and viewed with an open/on hold request.

Event Timeline

Billinghurst raised the priority of this task from to Needs Triage.
Billinghurst updated the task description. (Show Details)
Billinghurst added subscribers: Billinghurst, DerHexer.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 29 2015, 12:00 AM

Definitively agree on the hold feature request.

Aklapper triaged this task as Low priority.Mar 30 2015, 10:14 AM

Totally agree; though perhaps a different note section should be added which the requester won't be able to see?

What workflow changes would the "hold" feature add? Are you just looking for a way to mark a request as under discussion in some way so that multiple renamers don't try to take action on it?

Pretty much the case that there would be no need to change the workflow. I think that the hold just needs to be a symbolic barrier to processing rather than a locking feature. Notes can capture where the discussion is taking place.

Stryn added a subscriber: Stryn.Apr 18 2015, 10:41 AM
Melos added a subscriber: Melos.May 8 2015, 10:28 AM
Xeno added a subscriber: Xeno.Jun 18 2015, 12:31 PM
Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptOct 27 2015, 4:57 PM

Any update on this one? What is needed here?

It's not assigned to anybody.

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptFeb 23 2016, 9:49 PM

@Aklapper Is it possible to increase the priority ? This request has been discussed several times at the global renamers mailing list

@Aklapper Is it possible to increase the priority ? This request has been discussed several times at the global renamers mailing list

@Framawiki: Do you plan to work on fixing this, or do you know somebody who plans to work on this task?

Any update on this one? What is needed here?

The implementation would be patches to the CentralAuth extension.

  • The enum of valid values for the renameuser_status.ru_status database column would need to be patched to add an 'onhold' status value.
  • A new class constant would be added to includes/GlobalRename/GlobalRenameRequest.php
  • includes/specials/SpecialGlobalRenameQueue.php would need updates to implement management of the new state
    • this would probably involve copying the way that the open/closed lists are handled to add a new 'on hold' list
    • the SpecialGlobalRenameQueue::doShowProcessForm and SpecialGlobalRenameQueue::onProcessSubmit would need updating to add a way to set the new status
  • includes/specials/SpecialGlobalRenameRequest.php would need to be updated to display the new status to the requesting user

There are probably some messages and related changes that I'm not thinking of right now, but that would be the basics. The database schema update needed for production would need to be approved by the Foundation DBA team, but I don't see any obvious issues with it. The table being changed is neither large nor frequently queried.

Then the changes need to be reviewed, the database updates made in beta cluster & prod, the patch merged, and eventually the feature would be deployed on the normal MediaWiki deploy cadence. The patches needed could probably be prepared by someone with moderate MediaWiki/PHP development experience. It would mostly be extending existing code and user interface design.

1997kB added a subscriber: 1997kB.Dec 24 2018, 9:52 AM
K6ka added a subscriber: K6ka.Dec 24 2018, 4:31 PM